package com.simuwang.base.pojo.dto.query;


import com.simuwang.base.common.support.query.PageQuery;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2024/9/13 13:38
 * @description 角色用户关联的分页接口请求参数
 */
public class ParseDetailPageQuery extends PageQuery {
    /**
     * 基金名称
     */
    private String fundName;
    /**
     * 净值开始日期
     */
    private String priceStartDate;
    /**
     * 净值结束日期
     */
    private String priceEndDate;
    /**
     * 更新开始日期
     */
    private String updateStartDate;
    /**
     * 更新结束日期
     */
    private String updateEndDate;
    /**
     * 异常情况:1-无异常,2-净值缺失,3-未匹配基金,4-净值<=0,5-资产净值<=0
     */
    private List<Integer> exceptionStatusList;

    /**
     * 是否入库，0-未入库，1-入库
     */
    private Integer isStore;

    /**
     * 邮件标题
     */
    private String emailTitle;

    public String getFundName() {
        return fundName;
    }

    public void setFundName(String fundName) {
        this.fundName = fundName;
    }

    public String getPriceStartDate() {
        return priceStartDate;
    }

    public void setPriceStartDate(String priceStartDate) {
        this.priceStartDate = priceStartDate;
    }

    public String getPriceEndDate() {
        return priceEndDate;
    }

    public void setPriceEndDate(String priceEndDate) {
        this.priceEndDate = priceEndDate;
    }

    public List<Integer> getExceptionStatusList() {
        return exceptionStatusList;
    }

    public void setExceptionStatusList(List<Integer> exceptionStatusList) {
        this.exceptionStatusList = exceptionStatusList;
    }

    public Integer getIsStore() {
        return isStore;
    }

    public void setIsStore(Integer isStore) {
        this.isStore = isStore;
    }

    public String getUpdateStartDate() {
        return updateStartDate;
    }

    public void setUpdateStartDate(String updateStartDate) {
        this.updateStartDate = updateStartDate;
    }

    public String getUpdateEndDate() {
        return updateEndDate;
    }

    public void setUpdateEndDate(String updateEndDate) {
        this.updateEndDate = updateEndDate;
    }

    public String getEmailTitle() {
        return emailTitle;
    }

    public void setEmailTitle(String emailTitle) {
        this.emailTitle = emailTitle;
    }
}
